Package org.jboss.logmanager

## Class Level

- java.lang.Object
- - java.util.logging.Level
  - - org.jboss.logmanager.Level

All Implemented Interfaces:
  `java.io.Serializable`

    public final class Level
    extends java.util.logging.Level

Log4j-like levels.

See Also:
  Serialized Form

### Field Summary

Fields
`static Level` `DEBUG`
`static Level` `ERROR`
`static Level` `FATAL`
`static Level` `INFO`
`static Level` `TRACE`
`static Level` `WARN`

### Fields inherited from class java.util.logging.Level

`ALL, CONFIG, FINE, FINER, FINEST, OFF, SEVERE, WARNING`

### Constructor Summary

Constructors
`protected` `Level​(java.lang.String name, int value)`
`protected` `Level​(java.lang.String name, int value, java.lang.String resourceBundleName)`

### Method Summary

### Methods inherited from class java.util.logging.Level

`equals, getLocalizedName, getName, getResourceBundleName, hashCode, intValue, parse, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FATAL

    public static final Level FATAL

#### ERROR

    public static final Level ERROR

#### WARN

    public static final Level WARN

#### INFO

    public static final Level INFO

#### DEBUG

    public static final Level DEBUG

#### TRACE

    public static final Level TRACE

### Constructor Detail

#### Level

    protected Level​(java.lang.String name,
                    int value)

#### Level

    protected Level​(java.lang.String name,
                    int value,
                    java.lang.String resourceBundleName)